Subject: core dump in menus

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 19 Jun 2002 10:49:55 +0000

This message seems to be lost. I repost it.

Regards,
Mikhael.

Subject: core dump in menus
From: Mikhael Goikhman <[email-masked]>
To: FVWM Workers <[email-masked]>
Date: Sat, 15 Jun 2002 00:44:24 +0000

I can't reproduce this on purpose.

GNU gdb Red Hat Linux (5.1.90CVS-5)
Copyright 2002 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...
Core was generated by `fvwm -f themes-rc'.
Program terminated with signal 11, Segmentation fault.

#0  paint_menu (mr=0x80e2d38, pevent=0x80b8760, fw=0x0) at menus.c:4038
4038            int bw = MST_BORDER_WIDTH(mr);
(gdb) where
#0  paint_menu (mr=0x80e2d38, pevent=0x80b8760, fw=0x0) at menus.c:4038
#1  0x08055b36 in menu_expose (event=0x80b8760, fw=0x0) at menus.c:6189
#2  0x0804fbf5 in MenuInteraction (pmp=0xbfffe370, pmret=0xbfffec50, 
    pdkp=0xbfffe170, pdo_warp_to_title=0x80b5058) at menus.c:1846
#3  0x08055825 in do_menu (pmp=0xbfffe370, pmret=0xbfffec50) at menus.c:6050
#4  0x080507ac in MenuInteraction (pmp=0xbfffe6d0, pmret=0xbfffec50, 
    pdkp=0xbfffe4d0, pdo_warp_to_title=0x80b5058) at menus.c:2315
#5  0x08055825 in do_menu (pmp=0xbfffe6d0, pmret=0xbfffec50) at menus.c:6050
#6  0x080507ac in MenuInteraction (pmp=0xbfffea30, pmret=0xbfffec50, 
    pdkp=0xbfffe830, pdo_warp_to_title=0x80b5058) at menus.c:2315
#7  0x08055825 in do_menu (pmp=0xbfffea30, pmret=0xbfffec50) at menus.c:6050
#8  0x080507ac in MenuInteraction (pmp=0xbfffec60, pmret=0xbfffec50, 
    pdkp=0xbfffeb90, pdo_warp_to_title=0x80b5058) at menus.c:2315
#9  0x08055825 in do_menu (pmp=0xbfffec60, pmret=0xbfffec50) at menus.c:6050
#10 0x08098dce in menu_func (cond_rc=0x0, eventp=0x80b8760, w=58, fw=0x0, 
    context=8, action=0x8173fad "MenuFvwmRoot", Module=0xbfffee08, fStaysUp=1)
    at menucmd.c:147
#11 0x08098e4a in CMD_Menu (cond_rc=0x0, eventp=0x80b8760, w=58, fw=0x0, 
    context=8, action=0x8173fad "MenuFvwmRoot", Module=0xbfffee08)
    at menucmd.c:171
#12 0x0807ce41 in execute_function (efa=0xbfffedf0) at functions.c:1418
#13 0x0807cfa0 in old_execute_function (cond_rc=0x0, 
    action=0x80bceb0 "Menu MenuFvwmRoot", fw=0x0, eventp=0x80b8760, context=8, 
    Module=-1, exec_flags=0, args=0x0) at functions.c:1491
#14 0x0806d425 in HandleButtonPress () at events.c:581
#15 0x0807067a in DispatchEvent (preserve_Fw=0) at events.c:3135
#16 0x0807071c in HandleEvents () at events.c:3190
#17 0x08083455 in main (argc=3, argv=0xbffff354) at fvwm.c:720
#18 0x42017499 in __libc_start_main () from /lib/i686/libc.so.6
(gdb) print mr->s->ms
$1 = (MenuStyle *) 0x78696e75
(gdb) print mr->s->ms->look
Cannot access memory at address 0x78696e81
(gdb) 

Regards,
Mikhael.

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 19 Jun 2002 14:33:16 +0200

> 4038            int bw = MST_BORDER_WIDTH(mr);
[snip]

> Cannot access memory at address 0x78696e81

What about mr and mr->s?  Do they contain useful information?
Could you please post the output of

  (gdb) print *mr
  (gdb) print *(mr->s)
  (gdb) print *(mr->s->ms)

Can you remember anything you did around the time that the core
dump happened?  Modified any menus or menu styles or opened/closed
a tear-off menu?

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 19 Jun 2002 12:29:39 +0000

> Could you please post the output of

Since then (15 Jun) this core file was replaced with another one.
And this new core was replaced with the gnome panel core as well.
But there is its stack.

> dump happened?  Modified any menus or menu styles or opened/closed

I do much more than an ordinary user. Especially before a new fvwm-themes
release, but this is also the reason why I do not remember what exactly I
did after Restart and what after a theme switching (no Restart).
It crashed (the first core) when I navigated a non-trivial menu tree.

The second crash (below) was even before a root menu was poped up.

I hoped the stack alone was enough.
I will print more when I get a core again.

4036            MenuStyle *ms = MR_STYLE(mr);
(gdb) where
#0  0x08053159 in paint_menu (mr=0x8147268, pevent=0x80b8760, fw=0x0)
    at menus.c:4036
#1  0x08055b36 in menu_expose (event=0x80b8760, fw=0x0) at menus.c:6189
#2  0x0804fbf5 in MenuInteraction (pmp=0xbfffe830, pmret=0xbfffe820, 
    pdkp=0xbfffe760, pdo_warp_to_title=0x80b5058) at menus.c:1846
#3  0x08055825 in do_menu (pmp=0xbfffe830, pmret=0xbfffe820) at menus.c:6050
#4  0x08098ea2 in menu_func (cond_rc=0xbfffea58, eventp=0x80b8760, w=58, 
    fw=0x0, context=8, action=0x814f425 "MenuFvwmWindowOps", 
    Module=0xbfffe9d8, fStaysUp=1) at menucmd.c:147
#5  0x08098f1e in CMD_Menu (cond_rc=0xbfffea58, eventp=0x80b8760, w=58, 
    fw=0x0, context=8, action=0x814f425 "MenuFvwmWindowOps", Module=0xbfffe9d8)
    at menucmd.c:171
#6  0x0807ce81 in execute_function (efa=0xbfffe9c0) at functions.c:1418
#7  0x0807cfe0 in old_execute_function (cond_rc=0xbfffea58, 
    action=0x80d5470 "Menu MenuFvwmWindowOps", fw=0x0, eventp=0x80b8760, 
    context=8, Module=-1, exec_flags=0, args=0xbfffeac0) at functions.c:1491
#8  0x0807d8df in execute_complex_function (cond_rc=0x0, eventp=0x80b8760, 
    w=0, fw=0x0, context=8, action=0x814f400 "FuncFvwmButton3OnRootWindow", 
    Module=0xbfffebe8, desperate=0xbfffeb58) at functions.c:1997
#9  0x0807cece in execute_function (efa=0xbfffebd0) at functions.c:1437
#10 0x0807cfe0 in old_execute_function (cond_rc=0x0, 
    action=0x80d53c8 "FuncFvwmButton3OnRootWindow", fw=0x0, eventp=0x80b8760, 
    context=8, Module=-1, exec_flags=0, args=0x0) at functions.c:1491
#11 0x0806cb30 in CMD_StrokeFunc (cond_rc=0x0, eventp=0x80b8760, w=58, fw=0x0, 
    context=8, action=0x81c9294 "", Module=0xbfffee08) at builtins.c:3581
#12 0x0807ce81 in execute_function (efa=0xbfffedf0) at functions.c:1418
#13 0x0807cfe0 in old_execute_function (cond_rc=0x0, 
    action=0x813ad40 "StrokeFunc FeedBack DrawMotion StrokeWidth 2", fw=0x0, 
    eventp=0x80b8760, context=8, Module=-1, exec_flags=0, args=0x0)
    at functions.c:1491
#14 0x0806d425 in HandleButtonPress () at events.c:581
#15 0x0807067a in DispatchEvent (preserve_Fw=0) at events.c:3135
#16 0x0807071c in HandleEvents () at events.c:3190
#17 0x080834d9 in main (argc=3, argv=0xbffff354) at fvwm.c:720
#18 0x42017499 in __libc_start_main () from /lib/i686/libc.so.6
(gdb) 

Regards,
Mikhael.

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 19 Jun 2002 16:55:04 +0200

> I hoped the stack alone was enough.

Well, it crashed with a corrupt menu style structure, but nowhere
near any of the functions that fiddle with the menu styles.  Can
you compile the menu files with efence enabled and see if you get
any new core dumps, please?

Bye

Dominik ^_^  ^_^

---

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 21 Jun 2002 17:45:39 +0000

On 19 Jun 2002 16:55:04 +0200, Dominik Vogt wrote:
> 
> Can you compile the menu files with efence enabled and see if you get

I ran with efence and without it and tried to stress menus without a lack.
If I don't get a core until tomorrow it will wait until after 2.5.2.

Regards,
Mikhael.